Home

RewardsEst returns an estimate of the rewards from now until a specified time in the future The querier either provides an address or a set of locks for which they want to find the associated rewards

GET
https://osmo.nownodes.io/osmosis/incentives/v1beta1/rewards_est/{owner}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

ownerstringrequiredpath

Address that is being queried for future estimated rewards

lock_idsArray<string>query

Lock IDs included in future reward estimation.

end_epochstring<int64>query

Upper time limit of reward estimation Lower limit is current epoch.

Response

200OK

A successful response.

default

An unexpected error response.